Bug 833076 - [Storage] GUI should filter shared disks list and not show disk that already connected on VM it conneted to.
[Storage] GUI should filter shared disks list and not show disk that already ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.1.0
Assigned To: Gilad Chaplik
Leonid Natapov
storage
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-18 10:24 EDT by Leonid Natapov
Modified: 2016-02-10 11:56 EST (History)
12 users (show)

See Also:
Fixed In Version: SI9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-04 15:01:49 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Storage
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leonid Natapov 2012-06-18 10:24:54 EDT
[Storage] GUI should filter shared disks list and not show disk that already connected on VM it conneted to.

How to repoduce:
1.Create VM (VM1)
2.Create shared disk.(disk1)
3.Attach shared disk (disk1) to this VM (VM1)

Now,stay on VM1 and click on attach again. You will see the disk you already attached. If you will try to attach it again nothing will happen in the UI and engine will through an exception. Another BZ will be opened for backend to handle the exception.
Comment 1 Gilad Chaplik 2012-06-25 09:31:29 EDT
(In reply to comment #0)
> [Storage] GUI should filter shared disks list and not show disk that already
> connected on VM it conneted to.
> 
> How to repoduce:
> 1.Create VM (VM1)
> 2.Create shared disk.(disk1)
> 3.Attach shared disk (disk1) to this VM (VM1)
> 
> Now,stay on VM1 and click on attach again. You will see the disk you already
> attached. If you will try to attach it again nothing will happen in the UI
> and engine will through an exception. Another BZ will be opened for backend
> to handle the exception.

what is the other BZ?
Comment 2 Leonid Natapov 2012-06-25 09:39:25 EDT
https://bugzilla.redhat.com/show_bug.cgi?id=833077
Comment 3 Gilad Chaplik 2012-06-25 10:30:47 EDT
pushed upstream (http://gerrit.ovirt.org/#/c/5680/)
Comment 4 Gilad Chaplik 2012-06-26 03:50:21 EDT
changed the backend query to filter out disks that are already attached to the VM,  changing component to backend.
Comment 6 Leonid Natapov 2012-07-09 06:39:49 EDT
SI9. fixed.

Note You need to log in before you can comment on or make changes to this bug.